Package: org.grails.cli.profile.commands

## [Groovy] Class ArgumentCompletingCommand

- org.grails.cli.profile.commands.ArgumentCompletingCommand

- All Implemented Interfaces and Traits:
    Command, jline.console.completer.Completer

      abstract class ArgumentCompletingCommand
      extends java.lang.Object
      implements Command, jline.console.completer.Completer

  Authors:
    graemerocher

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `private CommandLineParser` | `cliParser` |

  - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `CommandLineParser` | `cliParser`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `ArgumentCompletingCommand ()`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `final int` | `complete(java.lang.String buffer, int cursor, java.util.List<java.lang.CharSequence> candidates)`
    `` | `protected int` | `complete(CommandLine commandLine, CommandDescription desc, java.util.List<java.lang.CharSequence> candidates, int cursor)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.lang.Object` | `java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Field Detail

    - #### private CommandLineParser cliParser

  - ### Property Detail

    - #### CommandLineParser cliParser

  - ### Constructor Detail

    - #### ArgumentCompletingCommand()

  - ### Method Detail

    - #### @java.lang.Override final int complete(java.lang.String buffer, int cursor, java.util.List<java.lang.CharSequence> candidates)

    - #### protected int complete(CommandLine commandLine, CommandDescription desc, java.util.List<java.lang.CharSequence> candidates, int cursor)